import { tokens } from '../styles.css'

let { radius, space, boxShadow, background } = tokens

export const unResponsiveProperties = {
  background,
  overflow: ['hidden', 'scroll', 'visible', 'auto'],
  userSelect: ['none'],
  outline: ['none'],
  opacity: [0],
  zIndex: {
    behind: -9,
    reset: 'auto',
    0: 0,
    1: 1,
    2: 2,
    dropdownBackdrop: 90,
    dropdown: 100,
    sticky: 200,
    modalBackdrop: 290,
    modal: 300,
    notification: 400,
    top: 99999,
  },
  boxShadow,
  cursor: ['default', 'pointer'],
  pointerEvents: ['none'],
  top: [0],
  bottom: [0],
  left: [0],
  right: [0],
  width: {
    0: '0%',
    fit: 'fit-content',
    fitContent: 'fit-content',
    'fit-content': 'fit-content',
    full: '100%',
  },
  minWidth: {
    0: '0%',
    fit: 'fit-content',
    fitContent: 'fit-content',
    'fit-content': 'fit-content',
    full: '100%',
  },
  maxWidth: {
    xsmall: '400px',
    small: '640px',
    post: '720px',
    medium: '960px',
    narrow: '1280px',
    full: '100%',
  },
  transition: {
    fast: 'transform .125s ease, opacity .125s ease',
    touchable: 'transform 0.2s cubic-bezier(0.02, 1.505, 0.745, 1.235)',
  },
}

export const responsiveProperties = {
  display: {
    none: 'none',
    block: 'block',
    grid: 'grid',
    inline: 'inline',
    'inline-block': 'inline-block',
    flex: 'flex',
    'inline-flex': 'inline-flex',
    'inline-grid': 'inline-grid',
  },
  position: ['static', 'relative', 'absolute', 'fixed'],
  borderRadius: radius,
  padding: space,
  paddingTop: space,
  paddingBottom: space,
  paddingRight: space,
  paddingLeft: space,
  paddingBlock: space,
  paddingInline: space,
  margin: space,
  marginBottom: space,
  marginRight: space,
  marginLeft: space,
  marginBlock: space,
  marginInline: space,
  alignItems: tokens['align-items'],
  justifyContent: tokens['justify-content'],
  flexDirection: tokens['direction'],
  flexWrap: {
    wrap: 'wrap',
    nowrap: 'nowrap',
  },
  flexShrink: [0],
  flexGrow: [0, 1],
  textAlign: ['left', 'center', 'right', 'justify'],
}
